%define ver 1.0
%define rel 4mdk

Summary: Chinese (Big5) TTF fonts
Name: fonts-ttf-big5
Version: %{ver}
Release: %{rel}
Icon: fonts-ttf-big5-logo.xpm
Source0: ftp://linux.tmtc.edu.tw/pub/arphic/fonts-ttf-chinese.tar.bz2
Copyright: GPL-like (see /usr/doc/fonts-ttf-big5/arphicpl.txt)
Group: System/Fonts/True type
BuildArch: noarch
BuildRoot: /var/tmp/fonts-ttf-chinese-root
Prereq: /usr/sbin/chkfontpath /usr/bin/killall

%description
Chinese (Big5 encoded) TTF Fonts donated by Arphic company.

%package -n fonts-ttf-gb2312
Summary: Chinese (GB2312) TTF fonts
Copyright: GPL-like (see /usr/doc/fonts-ttf-big5/arphicpl.txt)
Icon: fonts-ttf-gb2312-logo.xpm
Group: System/Fonts/True type

%description -n fonts-ttf-gb2312
Chinese (GuoBiao 2312 encoded) TTF Fonts donated by Arphic company.

%prep
%setup -n fonts-ttf-chinese
 
%build

mkdir -p big5-doc && cp arphicpl.txt big5-doc
mkdir -p gb2312-doc && cp arphicpl.txt gb2312-doc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/share/fonts/ttf/big5
install -d $RPM_BUILD_ROOT/usr/share/fonts/ttf/gb2312
install -m 0644 b*.ttf $RPM_BUILD_ROOT/usr/share/fonts/ttf/big5
install -m 0644 g*.ttf $RPM_BUILD_ROOT/usr/share/fonts/ttf/gb2312
cat fonts.dir.big5 \
        > $RPM_BUILD_ROOT/usr/share/fonts/ttf/big5/fonts.dir
cat fonts.dir.gb2312 \
        > $RPM_BUILD_ROOT/usr/share/fonts/ttf/gb2312/fonts.dir

echo -n "\

As these fonts are True Type catalogs and need special info in
the fonts.dir that ttmkfdir doesn't yet create automatically;
it is better you don't change it; use another directory for
your manually added fonts
" > $RPM_BUILD_ROOT/usr/share/fonts/ttf/big5/README
cp $RPM_BUILD_ROOT/usr/share/fonts/ttf/big5/README \
	$RPM_BUILD_ROOT/usr/share/fonts/ttf/gb2312

%post
if [ -x /usr/sbin/chkfontpath ]; then
   /usr/sbin/chkfontpath -q -a /usr/share/fonts/ttf/big5
   killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
   if [ -n "$DISPLAY" ]; then
      xset fp rehash
   fi
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%post -n fonts-ttf-gb2312
if [ -x /usr/sbin/chkfontpath ]; then
   /usr/sbin/chkfontpath -q -a /usr/share/fonts/ttf/gb2312
   killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
   if [ -n "$DISPLAY" ]; then
      xset fp rehash
   fi
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x /usr/sbin/chkfontpath ] && \
   /usr/sbin/chkfontpath -q -r /usr/share/fonts/ttf/big5
fi
killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi

%postun -n fonts-ttf-gb2312
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x /usr/sbin/chkfontpath ] && \
   /usr/sbin/chkfontpath -q -r /usr/share/fonts/ttf/gb2312
fi
killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc big5-doc/* 
%dir /usr/share/fonts/ttf/big5
/usr/share/fonts/ttf/big5/*.ttf
/usr/share/fonts/ttf/big5/README
%config /usr/share/fonts/ttf/big5/fonts.dir

%files -n fonts-ttf-gb2312
%defattr(0644,root,root,0755)
%doc gb2312-doc/* 
%dir /usr/share/fonts/ttf/gb2312
/usr/share/fonts/ttf/gb2312/*.ttf
/usr/share/fonts/ttf/gb2312/README
%config /usr/share/fonts/ttf/gb2312/fonts.dir

%changelog
* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fixed wrong group for -gb2312 and typo True Type -> True type

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- made %post/%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete
* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- add a dependency on chkfontpath.

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first Mandrake version

